The public keys that verify access tokens.
GET
/.well-known/jwks.json
const url = 'https://example.com/api/auth/.well-known/jwks.json';const options = {method: 'GET'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://example.com/api/auth/.well-known/jwks.jsonThe current signing key first, then the previous keys still accepted while tokens they signed may be alive. A key’s kid is its RFC 7638 thumbprint. Cacheable for a minute.
Responses
Section titled “Responses”The keys, as an RFC 7517 JWK set.
Media typeapplication/json
object
keys
required
Array<object>
object
kty
required
string
crv
required
string
x
required
string
y
required
string
kid
required
string
use
required
string
alg
required
string
Example
{ "keys": [ { "kty": "EC", "crv": "P-256", "use": "sig", "alg": "ES256" } ]}